Subject: bug#56239: 28.1; Cannot send signals by name to inferior process by calling signal-process interactively

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 26 Jun 2022 22:47:30 +0200

Daniel Martín via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <[email-masked]> writes:

> For the signal code, type 'SIGUSR1 (or "SIGUSR1", or SIGUSR1).
>
> The operation fails with the message "Please enter a number".

Yup.  I've now fixed this in Emacs 29.  I wasn't sure whether to allow
completing to USR1 og SIGUSR1, and went with the former, but I don't
really have an opinion on what form to use.  (So feel free to change
that.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no